
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for All files</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="prettify.css" />
    <link rel="stylesheet" href="base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1>All files</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">56.94% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>718/1261</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">28.86% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>116/402</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">60.51% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>95/157</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">56.75% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>710/1251</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
    </div>
    <div class='status-line medium'></div>
    <div class="pad1">
<table class="coverage-summary">
<thead>
<tr>
   <th data-col="file" data-fmt="html" data-html="true" class="file">File</th>
   <th data-col="pic" data-type="number" data-fmt="html" data-html="true" class="pic"></th>
   <th data-col="statements" data-type="number" data-fmt="pct" class="pct">Statements</th>
   <th data-col="statements_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="branches" data-type="number" data-fmt="pct" class="pct">Branches</th>
   <th data-col="branches_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="functions" data-type="number" data-fmt="pct" class="pct">Functions</th>
   <th data-col="functions_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="lines" data-type="number" data-fmt="pct" class="pct">Lines</th>
   <th data-col="lines_raw" data-type="number" data-fmt="html" class="abs"></th>
</tr>
</thead>
<tbody><tr>
	<td class="file high" data-value="protra"><a href="protra/index.html">protra</a></td>
	<td data-value="85" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 85%"></div><div class="cover-empty" style="width: 15%"></div></div>
	</td>
	<td data-value="85" class="pct high">85%</td>
	<td data-value="40" class="abs high">34/40</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="40" class="pct low">40%</td>
	<td data-value="5" class="abs low">2/5</td>
	<td data-value="84.62" class="pct high">84.62%</td>
	<td data-value="39" class="abs high">33/39</td>
	</tr>

<tr>
	<td class="file low" data-value="protra/controllers"><a href="protra/controllers/index.html">protra/controllers</a></td>
	<td data-value="46.92" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 46%"></div><div class="cover-empty" style="width: 54%"></div></div>
	</td>
	<td data-value="46.92" class="pct low">46.92%</td>
	<td data-value="780" class="abs low">366/780</td>
	<td data-value="27.07" class="pct low">27.07%</td>
	<td data-value="266" class="abs low">72/266</td>
	<td data-value="44.44" class="pct low">44.44%</td>
	<td data-value="54" class="abs low">24/54</td>
	<td data-value="46.5" class="pct low">46.5%</td>
	<td data-value="772" class="abs low">359/772</td>
	</tr>

<tr>
	<td class="file high" data-value="protra/lib"><a href="protra/lib/index.html">protra/lib</a></td>
	<td data-value="90" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 90%"></div><div class="cover-empty" style="width: 10%"></div></div>
	</td>
	<td data-value="90" class="pct high">90%</td>
	<td data-value="20" class="abs high">18/20</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="4" class="abs high">4/4</td>
	<td data-value="90" class="pct high">90%</td>
	<td data-value="20" class="abs high">18/20</td>
	</tr>

<tr>
	<td class="file medium" data-value="protra/middlewares/auth"><a href="protra/middlewares/auth/index.html">protra/middlewares/auth</a></td>
	<td data-value="53.33" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 53%"></div><div class="cover-empty" style="width: 47%"></div></div>
	</td>
	<td data-value="53.33" class="pct medium">53.33%</td>
	<td data-value="45" class="abs medium">24/45</td>
	<td data-value="21.43" class="pct low">21.43%</td>
	<td data-value="14" class="abs low">3/14</td>
	<td data-value="50" class="pct medium">50%</td>
	<td data-value="8" class="abs medium">4/8</td>
	<td data-value="53.33" class="pct medium">53.33%</td>
	<td data-value="45" class="abs medium">24/45</td>
	</tr>

<tr>
	<td class="file medium" data-value="protra/middlewares/validators"><a href="protra/middlewares/validators/index.html">protra/middlewares/validators</a></td>
	<td data-value="59.05" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 59%"></div><div class="cover-empty" style="width: 41%"></div></div>
	</td>
	<td data-value="59.05" class="pct medium">59.05%</td>
	<td data-value="210" class="abs medium">124/210</td>
	<td data-value="33.04" class="pct low">33.04%</td>
	<td data-value="112" class="abs low">37/112</td>
	<td data-value="74.67" class="pct medium">74.67%</td>
	<td data-value="75" class="abs medium">56/75</td>
	<td data-value="59.33" class="pct medium">59.33%</td>
	<td data-value="209" class="abs medium">124/209</td>
	</tr>

<tr>
	<td class="file high" data-value="protra/models"><a href="protra/models/index.html">protra/models</a></td>
	<td data-value="100" class="pic high">
	<div class="chart"><div class="cover-fill cover-full" style="width: 100%"></div><div class="cover-empty" style="width: 0%"></div></div>
	</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="47" class="abs high">47/47</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="1" class="abs high">1/1</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="47" class="abs high">47/47</td>
	</tr>

<tr>
	<td class="file high" data-value="protra/routers"><a href="protra/routers/index.html">protra/routers</a></td>
	<td data-value="94.17" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 94%"></div><div class="cover-empty" style="width: 6%"></div></div>
	</td>
	<td data-value="94.17" class="pct high">94.17%</td>
	<td data-value="103" class="abs high">97/103</td>
	<td data-value="50" class="pct medium">50%</td>
	<td data-value="8" class="abs medium">4/8</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="4" class="abs high">4/4</td>
	<td data-value="94.17" class="pct high">94.17%</td>
	<td data-value="103" class="abs high">97/103</td>
	</tr>

<tr>
	<td class="file medium" data-value="protra/services"><a href="protra/services/index.html">protra/services</a></td>
	<td data-value="50" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 50%"></div><div class="cover-empty" style="width: 50%"></div></div>
	</td>
	<td data-value="50" class="pct medium">50%</td>
	<td data-value="16" class="abs medium">8/16</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="2" class="abs low">0/2</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="6" class="abs low">0/6</td>
	<td data-value="50" class="pct medium">50%</td>
	<td data-value="16" class="abs medium">8/16</td>
	</tr>

</tbody>
</table>
</div>
                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank">istanbul</a>
                at Mon Feb 08 2021 17:54:39 GMT+0700 (Western Indonesia Time)
            </div>
        </div>
        <script src="prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="sorter.js"></script>
        <script src="block-navigation.js"></script>
    </body>
</html>
    